# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces | Typedefs | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/half.hpp File Reference

`#include <vlCore/Matrix4.hpp>`

Go to the source code of this file.

## Classes

class | vl::half
| Represents an half-precision floating point value. More...

## Namespaces

namespace | vl

| Visualization Library namespace.

## Typedefs

typedef Vector4< half > | vl::hvec4
typedef Vector3< half > | vl::hvec3
typedef Vector2< half > | vl::hvec2
typedef Matrix4< half > | vl::hmat4
typedef Matrix3< half > | vl::hmat3
typedef Matrix2< half > | vl::hmat2

## Functions

float | vl::operator/ (float a, const half &b)
float | vl::operator/ (double a, const half &b)
float | vl::operator/ (int a, const half &b)
float | vl::operator* (float a, const half &b)
float | vl::operator* (double a, const half &b)
float | vl::operator* (int a, const half &b)
float | vl::operator+ (float a, const half &b)
float | vl::operator+ (double a, const half &b)
float | vl::operator+ (int a, const half &b)
float | vl::operator- (float a, const half &b)
float | vl::operator- (double a, const half &b)
float | vl::operator- (int a, const half &b)
float | vl::operator/ (const half &a, float b)
float | vl::operator/ (const half &a, double b)
float | vl::operator/ (const half &a, int b)
float | vl::operator* (const half &a, float b)
float | vl::operator* (const half &a, double b)
float | vl::operator* (const half &a, int b)
float | vl::operator+ (const half &a, float b)
float | vl::operator+ (const half &a, double b)
float | vl::operator+ (const half &a, int b)
float | vl::operator- (const half &a, float b)
float | vl::operator- (const half &a, double b)
float | vl::operator- (const half &a, int b)

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:48.
Permission is granted to use this page to write and publish articles regarding Visualization Library.